horizon (4:25.5.1-0ubuntu1.1) questing; urgency=medium

  [ Myles Penner ]
  * d/gbp.conf: Create stable/2025.2 branch.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Leah Goldberg ]
  * Use server-side Cinder API logic to improve filtering with
    pagnation for volumes and snapshot tables (LP: #2147372).
    - d/p/lp2147372-Use-server-filter-mode-for-volumes-and-snapshots-tab.patch

 -- Leah Goldberg <leah.goldberg@canonical.com>  Tue, 07 Apr 2026 09:45:17 -0400

horizon (4:25.5.1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/p/fix-horizon-test-settings.patch: Refresh.
  * d/p/ubuntu_settings.patch: Refresh.
  * d/p/use-JSONSessionSerializer-for-django-5.patch: Refresh.
  * Refresh xstatic assets.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 19 Sep 2025 09:25:26 -0700

horizon (4:25.4.0+git2025070714.33cbc0c53-0ubuntu2) questing; urgency=medium

  * d/control: Drop python-qrcode (universe).

 -- Myles Penner <myles.penner@canonical.com>  Tue, 02 Sep 2025 07:38:58 -0700

horizon (4:25.4.0+git2025070714.33cbc0c53-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.
  * d/control: update maintainer to Ubuntu Devel

  [ Myles Penner ]
  * Refresh xstatic assets.
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/p/ubuntu_settings.patch: Refresh.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Explictly copy non-python files due to upstream change to
    setup.cfg.
  * d/p/replace-django-datetime_safe-usage.patch: Replace datetime_safe
    in test files to support Django 5.
  * d/p/use-JSONSessionSerializer-for-django-5.patch: Replace use of
    PickleSerializer for Django 5 compatibility.
    (Cherry-picked from lvoytek/add-django-5-support-questing
  * Flamingo feature freeze exception (LP: #2121258)

 -- Myles Penner <myles.penner@canonical.com>  Tue, 29 Jul 2025 15:27:38 -0700

horizon (4:25.3.0-0ubuntu1) plucky; urgency=medium

  [ Guillaume Boutry ]
  * d/watch: Track Epoxy series releases.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * Repackaging xstatic assets tarball (no change) for the Epoxy upload.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 20 Mar 2025 07:49:13 -0700

horizon (4:25.2.0+git2025030311.1252f1c09-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * Refresh xstatic assets.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 04 Mar 2025 17:26:46 +0000

horizon (4:25.1.0+git2025011509.94e1562c4-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * Refresh xstatic assets.
  * d/p/*: Refresh.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 21 Jan 2025 15:53:44 +0000

horizon (4:25.1.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.
  * Refresh xstatic assets.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 10:54:09 +0100

horizon (4:25.0.0+git2024080809.d171cee3-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian:
    - Refresh xstatic assets.
    - d/p/lp1728031.patch: removed. patch was merged to upstream.
    - d/p/lp2054799.patch: removed. patch was merged to upstream.

 -- Jadon Naas <jadon.naas@canonical.com>  Wed, 14 Aug 2024 09:27:11 +0100

horizon (4:24.0.0-0ubuntu3) oracular; urgency=medium

  * d/u/_styles.scss: use static_url variable instead of absolute path
    (LP: #2067632).

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 11 Jul 2024 11:03:18 +0100

horizon (4:24.0.0-0ubuntu2) oracular; urgency=medium

  [ Rodrigo Barbieri ]
  * d/p/lp1728031.patch: Fix admin unable to reset user's password.
    (LP: #1728031)

  [ Zhang Hua ]
  * d/p/lp2054799.patch: Fix Users/Groups tab list when a domain
    context is set. (LP: #2054799)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Tue, 04 Jun 2024 16:52:08 -0300

horizon (4:24.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal. 
  * Refresh xstatic assets.

 -- James Page <james.page@ubuntu.com>  Wed, 20 Mar 2024 15:24:04 +0000

horizon (4:23.4.0+git2024011916.a77818d7-0ubuntu1) noble; urgency=medium

  * New upstream snapshot for OpenStack Caracal.
  * Refresh xstatic assets.
  * d/control: Align (Build-)Depends with upstream.
  * Drop patches included upstream:
    - d/p/django-4-fix-csrf-reasons-list.patch
    - d/p/fix-test-failures-with-Django-4.x.patch
    - d/p/switch-to-pymemcachecache-backend.patch

 -- James Page <james.page@ubuntu.com>  Tue, 23 Jan 2024 13:00:57 +0000

horizon (4:23.3.0-0ubuntu2) noble; urgency=medium

  * d/p/ubuntu_settings.patch, d/p/switch-to-pymemcachecache-backend.patch,
    d/control: Switch to python3-pymemcache and PyMemcacheCache driver as
    the Django MemcachedCache backend was removed in Django 4.1 in favor of
    the PyMemcacheCache or PyLibMCCache backend (LP: #2039225).
  * d/p/ubuntu_settings.patch: Rebase and apply on top of
    switch-to-pymemcachecache-backend.patch.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Oct 2023 17:17:26 -0400

horizon (4:23.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.
  * Refresh xstatic assets.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 08:56:58 -0400

horizon (4:23.2.0+git2023090509.7896fd8c-0ubuntu2) mantic; urgency=medium

  * d/p/fix-test-failures-with-Django-4.x.patch: Fix test failure exposed
    by manila-ui unit test usage of horizon.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Sep 2023 14:27:54 -0400

horizon (4:23.2.0+git2023090509.7896fd8c-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.
  * Refresh xstatic assets.
  * Refresh xstatic assets.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 09:20:32 -0400

horizon (4:23.2.0+git2023071214.e6f39871-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.
  * Refresh xstatic assets.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 14:21:09 -0400

horizon (4:23.1.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * Refresh xstatic assets.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-swift-allow-object-creation.patch: Cherry-picked from
    upstream to fix swift uploads (LP: #1993005).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 24 Mar 2023 08:28:10 -0400

horizon (4:23.0.0+git2023030315.d4b73ed1-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * d/bundle-xstatic.sh: Create build-area directory if it doesn't exist.
  * Refresh xstatic assets.
  * d/bundle-xstatic.sh: Ensure proper commit message when refreshing xstatic.
  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Mar 2023 15:02:37 -0500

horizon (4:23.0.0+git2023011009.aec63403-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 09:51:57 -0500

horizon (4:23.0.0+git2022121319.217d94d33-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Dec 2022 19:37:41 -0500

horizon (4:23.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 23.x series.
  * New upstream release for OpenStack Zed.
  * d/p/ubuntu_settings.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 14:53:17 -0400

horizon (4:22.2.0+git2022091212.0b1dd3d89-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 12:52:04 -0400

horizon (4:22.2.0+git2022071815.f3767aba9-0ubuntu3) kinetic; urgency=medium

  * d/p/django-4-fix-csrf-reasons-list.patch: Cherry-pick to deal with removal
    of features in django 4.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 19 Jul 2022 15:24:21 -0400

horizon (4:22.2.0+git2022071815.f3767aba9-0ubuntu2) kinetic; urgency=medium

  * d/p/ubuntu_settings.patch: ALLOWED_HOSTS must be a list with django 4.x.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 19 Jul 2022 11:07:38 -0400

horizon (4:22.2.0+git2022071815.f3767aba9-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/openstack-dashboard.postinst: CIS hardening update to switch adduser to
    use /usr/sbin/nologin when creating system account that does not run a
    shell.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jul 2022 15:20:47 -0400

horizon (4:22.1.0+git2022060209.1f9a184de-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 09:52:35 -0400

horizon (4:22.1.0-0ubuntu2) jammy; urgency=medium

  * d/theme/ubuntu: update ubuntu dashboard theme with new images and
    stylesheet.

 -- Billy Olsen <billy.olsen@canonical.com>  Fri, 08 Apr 2022 10:41:30 -0700

horizon (4:22.1.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 22.x series.
  * New upstream release for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 17:00:09 -0400

horizon (4:21.0.0+git2022030313.dd9e4c82b-0ubuntu2) jammy; urgency=medium

  * d/control: Drop min version of python-django back to 2:2.2. Upstream
    has moved to min version of 3.2 with no related changes.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 04 Mar 2022 17:21:02 -0500

horizon (4:21.0.0+git2022030313.dd9e4c82b-0ubuntu1) jammy; urgency=medium

  * d/bundle-xstatic.sh: Ensure xstatic asset versions are confined by the
    corresponding upper-constraints branch.
  * d/bundle-xstatic.sh, d/README.source: Unpack xstatic assets into ./xstatic/
    directory of source package as part of the bundle.xstatic.sh script. This
    will allow for patching xstatic assets in the future.
  * New upstream snapshot for OpenStack Yoga.
  * d/bundle-xstatic.sh: Drop --system as it is no longer a flag on new
    pip3 releases, and is the default method.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 13:03:21 -0500

horizon (4:20.2.0+git2022011216.8fe5bbc8d-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 16:37:49 -0500

horizon (4:20.2.0+git2021120911.fc1012628-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.
  * d/bundle-xstatic.sh: Place xstatic orig tarball in ../build-area now
    that git-buildpackage supports multiple orig tarballs.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 11:18:32 -0500

horizon (4:20.1.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 20.x series.
  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 07 Oct 2021 11:21:46 +0000

horizon (4:20.0.0+git2021091315.420eaa5ba-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Sep 2021 15:55:38 -0400

horizon (4:19.2.0+git2021072116.b58ac2894-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 16:50:25 -0400

horizon (4:19.2.0+git2021062815.310a24d05-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 28 Jun 2021 15:37:10 -0400

horizon (4:19.2.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Apr 2021 13:59:59 -0400

horizon (4:19.1.0-0ubuntu1) hirsute; urgency=medium

  * d/watch: Fix tarball path.
  * New upstream stable point release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Mar 2021 10:55:41 -0400

horizon (4:19.0.0+git2021012814.944902c5c-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Jan 2021 14:17:34 -0500

horizon (4:19.0.0-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 19.x series. 
  * New upstream release for OpenStack Wallaby.
  * d/p/fix-dashboard-django-wsgi.patch: Removed. Upstream removed deprecated file.
  * d/p/ubuntu_settings.patch: Refreshed.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 07 Dec 2020 14:16:45 +0000

horizon (4:18.6.1-0ubuntu2) hirsute; urgency=medium

  * d/control: Ensure min version of python3-swiftclient can get
    capabilities when using ceph radosgw swift API (LP: #1902944).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Nov 2020 16:06:35 -0500

horizon (4:18.6.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 15 Oct 2020 12:44:16 +0000

horizon (4:18.6.0-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 12:06:34 -0400

horizon (3:19.0.0~b3~git2020091105.79e505520-0ubuntu1) groovy; urgency=medium

  * d/control: Remove Breaks/Replaces that are older than Focal (LP: #1878419).
  * New upstream snapshot for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 11 Sep 2020 05:38:11 +0000

horizon (3:19.0.0~b2~git2020073014.eb86389fa-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/bundle-xstatic.sh: Stop putting xstatic original tar into ../build-area.
    debuild needs it to be in ../ along with the horizon original tarball so
    that's where it should be placed.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 30 Jul 2020 14:47:30 +0000

horizon (3:19.0.0~b1~git2020071408.99ffd59a5-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 14 Jul 2020 08:43:44 -0400

horizon (3:18.4.2~git2020070209.392bc2482-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-skipped-config-files.patch: Dropped. Fixed upstream.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jul 2020 09:31:46 -0400

horizon (3:18.3.2-0ubuntu2) groovy; urgency=medium

  * d/p/fix-skipped-config-files.patch: Ensure that config files
    are included in the package (LP: #1872671).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 12 Jun 2020 11:20:25 +0100

horizon (3:18.3.2-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 May 2020 16:15:28 -0400

horizon (3:18.2.1~git2020041013.754804667-0ubuntu3) focal; urgency=medium

  * d/openstack-dashboard.postinst: Ensure static assets can be read by
    the apache user including the full path to the static directory. This
    changes the mode bits of /var/lib/openstack-dashboard to 755.
    (LP: #1871640).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 20 Apr 2020 13:47:07 -0400

horizon (3:18.2.1~git2020041013.754804667-0ubuntu2) focal; urgency=medium

  * d/openstack-dashboard.postinst: Ensure static assets can be read by
    the apache user including the full path to the static directory
    (LP: #1871640).

 -- James Page <james.page@ubuntu.com>  Fri, 17 Apr 2020 12:14:33 +0100

horizon (3:18.2.1~git2020041013.754804667-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/openstack-dashboard.postinst: Set ownership and permissions for all
    /var/lib files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 13:06:10 -0400

horizon (3:18.2.1~git2020032709.2c4470272-0ubuntu1) focal; urgency=medium

  * d/watch: Adjust to new tarball URL.
  * d/openstack-dashboard.postinst: Set default ownership and permissions
    for /etc/<pkg> and /var/lib/<pkg> (LP: #1859422).
  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Mar 2020 09:29:31 -0400

horizon (3:18.0.1~git2020021409.bb959361b-0ubuntu3) focal; urgency=medium

  * d/rules: Force regeneration of SOURCES.txt to ensure that generated
    django{js}.mo files are included in binary packages, resolving issues
    with translations (LP: #1862343).

 -- James Page <james.page@ubuntu.com>  Wed, 26 Feb 2020 11:54:13 +0000

horizon (3:18.0.1~git2020021409.bb959361b-0ubuntu2) focal; urgency=medium

  * d/control: Add epoch to python3-django (Build-)Depend.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Feb 2020 10:12:40 -0500

horizon (3:18.0.1~git2020021409.bb959361b-0ubuntu1) focal; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-horizon-test-settings.patch: Refreshed.
  * d/p/debian/patches/ubuntu_settings.patch: Refreshed.
  * d/control: Removed min version for python3-hacking.

  [ Corey Bryant ]
  * d/watch: Scope to 18.x series.
  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/py3dist-overrides: Upstream has replaced babel-django with enmerkar.
    This is not needed in distro, as it is only required when extracting
    translation strings by OpenStack CI infra.
  * d/bundle-xstatic.sh: Switch to pip3.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Feb 2020 09:30:36 -0500

horizon (3:17.0.0~b1~git2019121712.f7313b74c-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 17 Dec 2019 12:20:47 -0500

horizon (3:16.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/p/ubuntu_settings.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Oct 2019 11:27:32 -0400

horizon (3:16.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Scope to 16.x series.
  * New upstream release candidate for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Sep 2019 09:18:40 -0400

horizon (3:16.0.0~b2~git2019080510.0a10dde2e-0ubuntu4) eoan; urgency=medium

  * d/control: Switch back to python3-django >= 1:1.11. See related bug to
    prevent python3-django 2:2.2.4 from migrating to eoan-release:
    https://bugs.launchpad.net/bugs/1842969.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 05 Sep 2019 16:26:25 -0400

horizon (3:16.0.0~b2~git2019080510.0a10dde2e-0ubuntu3) eoan; urgency=medium

  * d/control: Ensure python3-django is << 2:2.2.4.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Aug 2019 12:32:18 -0400

horizon (3:16.0.0~b2~git2019080510.0a10dde2e-0ubuntu2) eoan; urgency=medium

  * No change rebuild to pick up xstatic orig tarball.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Aug 2019 11:45:47 -0400

horizon (3:16.0.0~b2~git2019080510.0a10dde2e-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/ubuntu_settings.patch: Refreshed.
  * d/p/switch-from-django-string_compat-to-format_lazy.patch: Dropped. Fixed
    in snapshot.
  * d/p/control: Fixed the epoch for python3-django.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 05 Aug 2019 10:41:57 +0200

horizon (3:16.0.0~b1~git2019061445.2cb84ade8-0ubuntu3) eoan; urgency=medium

  * d/p/switch-from-django-string_compat-to-format_lazy.patch: Rebased from
    https://review.opendev.org/#/c/671045.
  * d/control: Drop (Build-)Depends on python3-ceilometerclient as it is
    no longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 23 Jul 2019 13:51:41 -0400

horizon (3:16.0.0~b1~git2019061445.2cb84ade8-0ubuntu2) eoan; urgency=medium

  * d/p/switch-from-django-string_compat-to-format_lazy.patch: Cherry-picked
    from https://review.opendev.org/#/c/671045 to enable use of horizon with
    python-django >= 2.1 (LP: #1836671).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 16 Jul 2019 10:03:17 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-django-openstack-auth`.
